<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for attendance in employee package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  attendance module in employee package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Attendance',
    'names' => 'Attendances',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Attendances',
        'sub' => 'Attendances'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'related_id'                 => 'Please enter related id',
        'employee_id'                => 'Please enter employee id',
        'request_id'                 => 'Please enter request id',
        'handover_id'                => 'Please enter handover id',
        'date'                       => 'Please select date',
        'date_start'                 => 'Please select date start',
        'date_end'                   => 'Please select date end',
        'half_day'                   => 'Please enter half day',
        'type'                       => 'Please enter type',
        'type_old'                   => 'Please enter type old',
        'period'                     => 'Please enter period',
        'paid'                       => 'Please enter paid',
        'unpaid'                     => 'Please enter unpaid',
        'time_in'                    => 'Please select time in',
        'time_out'                   => 'Please select time out',
        'description'                => 'Please enter description',
        'import'                     => 'Please enter import',
        'return_to'                  => 'Please select return to',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'related_id'                 => 'Related id',
        'employee_id'                => 'Employee id',
        'request_id'                 => 'Request id',
        'handover_id'                => 'Handover id',
        'date'                       => 'Date',
        'date_start'                 => 'Date start',
        'date_end'                   => 'Date end',
        'half_day'                   => 'Half day',
        'type'                       => 'Type',
        'type_old'                   => 'Type old',
        'period'                     => 'Period',
        'paid'                       => 'Paid',
        'unpaid'                     => 'Unpaid',
        'time_in'                    => 'Time in',
        'time_out'                   => 'Time out',
        'description'                => 'Description',
        'import'                     => 'Import',
        'return_to'                  => 'Return to',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
