<?php

namespace Bixo\Employee\Providers;

use Litepie\Foundation\Support\Providers\ActionServiceProvider as ServiceProvider;

class ActionServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function actions()
    {
        return [
            \Bixo\Employee\Models\Employee::class
                 => config('bixo.employee.employee.actions')        \Bixo\Employee\Models\Document::class
                 => config('bixo.employee.document.actions')        \Bixo\Employee\Models\Attendance::class
                 => config('bixo.employee.attendance.actions')        \Bixo\Employee\Models\Leave::class
                 => config('bixo.employee.leave.actions')
            ];
    }

}
