<?php

namespace Bixo\Employee\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Bixo\Employee\Models\Attendance;

class AttendanceWorkflow
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $transition,
        public Attendance $attendance,
        public array $request = [],
        public string $when = 'after'
    ) {
    }
}
