<?php

namespace Bixo\Employee\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Bixo\Employee\Models\Document;

class DocumentAction
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $action,
        public Document $document,
        public array $request = [],
        public string $when = 'after'
    ) {}
}
