<?php

namespace Bixo\Employee\Providers;

use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function workflows()
    {
        return [
            \Bixo\Employee\Models\Employee::class 
                => config('bixo.employee.employee.workflow')        \Bixo\Employee\Models\Document::class 
                => config('bixo.employee.document.workflow')        \Bixo\Employee\Models\Attendance::class 
                => config('bixo.employee.attendance.workflow')        \Bixo\Employee\Models\Leave::class 
                => config('bixo.employee.leave.workflow')
            ];
    }

}
